CAMPING(1)

NAME
camping - small Ruby web framework for MVC type applications

SYNOPSIS
camping app1.rb app2.rb...

DESCRIPTION
Camping is a web framework which consistently stays at less than 4kb of code. The idea here is to store a complete fledgling web application (written in Ruby) in a single file like many small CGIs, but to organize it as a Model-View-Controller application like Rails does. You can then easily move it to Rails once you've got it going.

  Specific options:

-h, --host HOSTNAME
    Host for web server to bind to (default is all IPs)

-p, --port NUM
    Port for web server (defaults to 3301)

-d, --database FILE
    SQLite3 database path (defaults to ~/.camping.db)

-C, --console
    Run in console mode with IRB

-s, --server NAME
    Server to force (mongrel, webrick, console)

  Common options:

-?, --help
    Show this message

-v, --version
    Show version

FILES

~/.camping.db
    The default database file.

SEE ALSO
The Camping website on http://camping.rubyforge.org/.

AUTHOR
This manual page was written by Paul van Tilburg <paulvt@debian.org>, for the Debian GNU/Linux system (but may be used by others).